## 0.2.1

##### Added
- Added the following new fields to `BrazeInAppMessage`: `imageUrl`, `useWebView`, `duration`, `clickAction`, `dismissType`, `messageType`
- Added the following new fields to `BrazeButton`: `useWebView`, `clickAction`.

## 0.2.0

##### Breaking
- The native iOS bridge uses [Braze iOS SDK 3.14.0](https://github.com/Appboy/appboy-ios-sdk/blob/master/CHANGELOG.md#3140).
- The native Android bridge uses [Braze Android SDK 3.2.1](https://github.com/Appboy/appboy-android-sdk/blob/master/CHANGELOG.md#321).

##### Added
- Adds `addAlias()` to the public API interface.
- Adds `requestLocationInitialization()` to the public API interface.
- Adds `getInstallTrackingId()` to the public API interface.
- Adds support for disabling native in-app message display on Android.
  - To disable automatic in-app message display, create a boolean element named `com_appboy_inapp_show_inapp_messages_automatically` in your Android app's `appboy.xml` and set it to `false`.
  - Note: Disabling automatic in-app message display was already possible for iOS. For instructions, see `README.md`.
- Adds a Dart callback for receiving Braze in-app message data in the Flutter host app.
  - Analytics are not currently supported on messages displayed through the callback.
  - To set the callback, call `BrazePlugin.setBrazeInAppMessageCallback()` from your Flutter app with a function that takes a `BrazeInAppMessage` instance.
    - The `BrazeInAppMessage` object supports a subset of fields available in the native model objects, including `uri`, `message`, `header`, `buttons`, and `extras`.
  - The callback should begin to function on Android immediately after being set.
  - On iOS, you will additionally need to implement the `ABKInAppMessageControllerDelegate` delegate as described in our [public documentation](https://www.braze.com/docs/developer_guide/platform_integration_guides/ios/in-app_messaging/customization/#in-app-message-controller-delegate). Your `beforeInAppMessageDisplayed` delegate implementation must call `BrazePlugin.process(inAppMessage)`. For an example, see `AppDelegate.swift` in our example app.

## 0.1.1
- Formatted `braze_plugin.dart`.

## 0.1.0
- Removes the unused `dart:async` import in `braze_plugin.dart`.
- Makes `_callStringMethod` private in `braze_plugin.dart`.
- Adds basic dartdoc to the public API interface.

## 0.0.2
- Updates the version of Kotlin used by the Android plugin from `1.2.71` to `1.3.11`.

## 0.0.1
- Initial release.
- The native iOS bridge uses [Braze iOS SDK 3.12.0](https://github.com/Appboy/appboy-ios-sdk/releases/tag/3.12.0).
- The native Android bridge uses [Braze Android SDK 3.1.0](https://github.com/Appboy/appboy-android-sdk/blob/master/CHANGELOG.md#310).
